#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 servant-swagger
version:              1.1.10
visibility:           public
id:                   servant-swagger-1.1.10-y2zeIchEQV525GD9vY5Ml
key:                  servant-swagger-1.1.10-y2zeIchEQV525GD9vY5Ml
license:              BSD-3-Clause
copyright:            (c) 2015-2018, Servant contributors
maintainer:           nickolay.kudasov@gmail.com
author:               David Johnson, Nickolay Kudasov
homepage:             https://github.com/haskell-servant/servant-swagger
synopsis:
    Generate a Swagger/OpenAPI/OAS 2.0 specification for your servant API.

description:
    Swagger is a project used to describe and document RESTful APIs. The core of the
    project is the [OpenAPI Specification (OAS)](https://swagger.io/docs/specification/about/).
    This library implements v2.0 of the spec. Unlike Servant it is language-agnostic and thus is
    quite popular among developers in different languages. It has also existed for a longer time
    and has more helpful tooling.

    This package provides means to generate a Swagger/OAS specification for a Servant API
    and also to partially test whether an API conforms with its specification.

    Generated Swagger specification then can be used for many things such as

    * displaying interactive documentation using [Swagger UI](http://swagger.io/swagger-ui/);

    * generating clients and servers in many languages using [Swagger Codegen](http://swagger.io/swagger-codegen/);

    * and [many others](http://swagger.io/open-source-integrations/).

category:             Web, Servant, Swagger
abi:                  0a6b127a26b898f96c87fed50b0bfe96
exposed:              True
exposed-modules:
    Servant.Swagger Servant.Swagger.Internal
    Servant.Swagger.Internal.Orphans Servant.Swagger.Internal.Test
    Servant.Swagger.Internal.TypeLevel
    Servant.Swagger.Internal.TypeLevel.API
    Servant.Swagger.Internal.TypeLevel.Every
    Servant.Swagger.Internal.TypeLevel.TMap Servant.Swagger.Test
    Servant.Swagger.TypeLevel

import-dirs:          /usr/lib/ghc-9.0.2/site-local/servant-swagger-1.1.10
library-dirs:         /usr/lib/ghc-9.0.2/site-local/servant-swagger-1.1.10
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.2/servant-swagger-1.1.10
hs-libraries:         HSservant-swagger-1.1.10-y2zeIchEQV525GD9vY5Ml
depends:
    QuickCheck-2.14.2-1WQyMS2Rq1aCd8TFPpRr3t
    aeson-1.5.6.0-AIOjF99b4i15RTiIgKIYjO
    aeson-pretty-0.8.9-2P1rx6D0FeTJ27OpqVWypq base-4.15.1.0
    base-compat-0.12.1-Jgs1a6JPC25AMVxb7dCwve bytestring-0.10.12.1
    hspec-2.9.1-17dKyacrqD2BxsUTfY225J
    http-media-0.8.0.0-4b4p4GeUSPb3S7ugSs4DIX
    insert-ordered-containers-0.2.5.1-BHUKsVn7mYT6TU5l1JG5ab
    lens-5.1-GygwND1WcrcIy7A7vmuRWa
    servant-0.18.3-2TavmO4r2Qx2x21UFQ9W7C
    singleton-bool-0.1.6-7QLOIHGCKXPGSwQGo05OYf
    swagger2-2.6.1-HMiznJOiW9u5muiY7BlgzY text-1.2.5.0
    unordered-containers-0.2.17.0-3BdVQ0XjWEwL87G4XZjXWP

haddock-interfaces:
    /usr/share/doc/haskell-servant-swagger/html/servant-swagger.haddock

haddock-html:         /usr/share/doc/haskell-servant-swagger/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

